package com.ruoyi.project.sems.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 材料应力对象 t_measure_stress
 *
 * @author ssy
 * @date 2025-03-19
 */
public class TMeasureStress extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 材料名称 */
    @Excel(name = "材料名称")
    private String name;

    /** 是否不锈钢 */

    @Excel(name = "是否不锈钢")
    private Long isSteel;


    /** 40 */
    @Excel(name = "40")
    private String c40;

    /** 65 */
    @Excel(name = "65")
    private String c65;

    /** 100 */
    @Excel(name = "100")
    private String c100;

    /** 125 */
    @Excel(name = "125")
    private String c125;

    /** 150 */
    @Excel(name = "150")
    private String c150;

    /** 175 */
    @Excel(name = "175")
    private String c175;

    /** 200 */
    @Excel(name = "200")
    private String c200;

    /** 225 */
    @Excel(name = "225")
    private String c225;

    /** 250 */
    @Excel(name = "250")
    private String c250;

    /** 275 */
    @Excel(name = "275")
    private String c275;

    /** 300 */
    @Excel(name = "300")
    private String c300;

    /** 325 */
    @Excel(name = "325")
    private String c325;

    /** 350 */
    @Excel(name = "350")
    private String c350;

    /** 375 */
    @Excel(name = "375")
    private String c375;

    /** 400 */
    @Excel(name = "400")
    private String c400;

    /** 425 */
    @Excel(name = "425")
    private String c425;

    /** 450 */
    @Excel(name = "450")
    private String c450;

    /** 475 */
    @Excel(name = "475")
    private String c475;

    /** 500 */
    @Excel(name = "500")
    private String c500;

    /** 525 */
    @Excel(name = "525")
    private String c525;

    /** 550 */
    @Excel(name = "550")
    private String c550;

    /** 575 */
    @Excel(name = "575")
    private String c575;

    /** 600 */
    @Excel(name = "600")
    private String c600;

    /** 状态 0 ：正常 ；-1：删除 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private Long createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private Long updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setC40(String c40)
    {
        this.c40 = c40;
    }

    public String getC40()
    {
        return c40;
    }
    public void setC65(String c65)
    {
        this.c65 = c65;
    }

    public String getC65()
    {
        return c65;
    }
    public void setC100(String c100)
    {
        this.c100 = c100;
    }

    public String getC100()
    {
        return c100;
    }
    public void setC125(String c125)
    {
        this.c125 = c125;
    }

    public String getC125()
    {
        return c125;
    }
    public void setC150(String c150)
    {
        this.c150 = c150;
    }

    public String getC150()
    {
        return c150;
    }
    public void setC175(String c175)
    {
        this.c175 = c175;
    }

    public String getC175()
    {
        return c175;
    }
    public void setC200(String c200)
    {
        this.c200 = c200;
    }

    public String getC200()
    {
        return c200;
    }
    public void setC225(String c225)
    {
        this.c225 = c225;
    }

    public String getC225()
    {
        return c225;
    }
    public void setC250(String c250)
    {
        this.c250 = c250;
    }

    public String getC250()
    {
        return c250;
    }
    public void setC275(String c275)
    {
        this.c275 = c275;
    }

    public String getC275()
    {
        return c275;
    }
    public void setC300(String c300)
    {
        this.c300 = c300;
    }

    public String getC300()
    {
        return c300;
    }
    public void setC325(String c325)
    {
        this.c325 = c325;
    }

    public String getC325()
    {
        return c325;
    }
    public void setC350(String c350)
    {
        this.c350 = c350;
    }

    public String getC350()
    {
        return c350;
    }
    public void setC375(String c375)
    {
        this.c375 = c375;
    }

    public String getC375()
    {
        return c375;
    }
    public void setC400(String c400)
    {
        this.c400 = c400;
    }

    public String getC400()
    {
        return c400;
    }
    public void setC425(String c425)
    {
        this.c425 = c425;
    }

    public String getC425()
    {
        return c425;
    }
    public void setC450(String c450)
    {
        this.c450 = c450;
    }

    public String getC450()
    {
        return c450;
    }
    public void setC475(String c475)
    {
        this.c475 = c475;
    }

    public String getC475()
    {
        return c475;
    }
    public void setC500(String c500)
    {
        this.c500 = c500;
    }

    public String getC500()
    {
        return c500;
    }
    public void setC525(String c525)
    {
        this.c525 = c525;
    }

    public String getC525()
    {
        return c525;
    }
    public void setC550(String c550)
    {
        this.c550 = c550;
    }

    public String getC550()
    {
        return c550;
    }
    public void setC575(String c575)
    {
        this.c575 = c575;
    }

    public String getC575()
    {
        return c575;
    }
    public void setC600(String c600)
    {
        this.c600 = c600;
    }

    public String getC600()
    {
        return c600;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(Long createrCode)
    {
        this.createrCode = createrCode;
    }

    public Long getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(Long updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }

    public Long getIsSteel() {
        return isSteel;
    }

    public void setIsSteel(Long isSteel) {
        this.isSteel = isSteel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("c40", getC40())
            .append("c65", getC65())
            .append("c100", getC100())
            .append("c125", getC125())
            .append("c150", getC150())
            .append("c175", getC175())
            .append("c200", getC200())
            .append("c225", getC225())
            .append("c250", getC250())
            .append("c275", getC275())
            .append("c300", getC300())
            .append("c325", getC325())
            .append("c350", getC350())
            .append("c375", getC375())
            .append("c400", getC400())
            .append("c425", getC425())
            .append("c450", getC450())
            .append("c475", getC475())
            .append("c500", getC500())
            .append("c525", getC525())
            .append("c550", getC550())
            .append("c575", getC575())
            .append("c600", getC600())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("remarks", getRemarks())
            .toString();
    }
}
